:root {
    --color-white: #ffffff;
    --color-dark: #121e2c;
    --color-light-gray: #f8fafc;
    --color-dark-gray: #394b59;
    --color-blue: #04618a;
    --font-general-sans: 'General Sans', sans-serif;
    --font-sofia-sans: 'Sofia Sans Condensed', Helvetica;
  }
  /*Hero Images Files */
  /* Domyślne zdjęcie dla wszystkich ekranów (pozostaje bez zmian) */
.hero__image {
  content: url("img/frame-1266.png");
}

/* Zdjęcie dla ekranów powyżej 768px */
@media (min-width: 768px) {
  .hero__image {
    content: url("img/hero-image-768.png");
  }
}

/* Zdjęcie dla ekranów powyżej 1100px */
@media (min-width: 1100px) {
  .hero__image {
    content: url("img/hero-desktop-1100.png");
  }
}

/* Zdjęcie dla ekranów powyżej 1301px */
@media (min-width: 1301px) {
  .hero__image {
    content: url("img/hero-desktop-1301.png");
  }
}

/* Zdjęcie dla ekranów powyżej 1920px */
@media (min-width: 1920px) {
  .hero__image {
    content: url("img/hero-desktop-1920.png");
  }
}

/* Zdjęcie dla ekranów powyżej 2400px */
@media (min-width: 2400px) {
  .hero__image {
    content: url("img/hero-desktop-2400.png");
  }
}

/* Karuzela Start */
:root {
  --items-per-page: 3;
}

.carousel {
  width: 100%;
  overflow: hidden;
  position: relative;
}

.carousel-container {
  white-space: nowrap;
  display: flex;
  transition: transform 0.5s linear;
  flex-direction: row;
}

#carouselContainer{
  display:flex;
  flex-direction: row;
}

.carousel-item {
  display: inline-block;
  min-width: calc(100% / var(--items-per-page));
  box-sizing: border-box;
  padding: 20px;
  text-align: center;
}

.carousel-item img {
  height: 50px;
}

  * {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
  }

  html {
    scroll-behavior: smooth;
  }
  
  body {
    font-family: var(--font-general-sans);
    color: var(--color-dark-gray);
  }
  
  .container {
    max-width: 360px;
    margin: 0 auto;
    padding: 0px;
  }

  /* ID class */
  #header_button{
    display:none;
}
.external-link-regulations{
  font-family: var(--font-general-sans);
font-size: 12px;
font-weight: 600;
line-height: 15.6px;
text-align: left;
color: #04618A;
}

/*Preloader*/
#preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #121E2C;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999; /* Upewnij się, że preloader jest na wierzchu */
  opacity: 1; /* Początkowa wartość krycia */
  transition: opacity 0.5s ease-in-out; /* Animacja zanikania preloader'a */
}

.loader {
  border: 4px solid rgba(255, 255, 255, 0.3); /* Kolor obramowania */
  border-top: 4px solid #ffffff; /* Kolor kręcącego się elementu */
  border-radius: 50%;
  width: 50px;
  height: 50px;
  animation: spin 0.35s linear infinite;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

/* END of Preloader */
  /* Header */
  .header {
    background-color: var(--color-white);
    padding: 5px;
    display: flex;
    justify-content: flex-start;
  }
  
  .logo {
    width: 100;
    height: 48.32px;
  }

  .button_white{
    background-color: var(--color-white) !important;
  }

  .button_white_text {
    color:black !important;
  }
  
  .button {
    all: unset;
    background-color: var(--color-blue);
    border-radius: 30px;
    padding: 10px 15px 10px 20px;
    display: flex;
    align-items: center;
    gap: 15px;
    cursor: pointer;
    text-decoration: none;
  }
  
  .button__text {
    font-family: var(--font-sofia-sans);
    color: var(--color-white);
    font-size: 16px;
    letter-spacing: 3.2px;
  }
  
  .button__arrow {
    width: 15.5px;
    height: 15.5px;
  }
  
  /* Hero Section */
  .hero {
    background-color: var(--color-dark);
    padding: 40px 40px 0px 40px;
    text-align: center;
  }
  
  .hero-section-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 30px;
  }
  
  .hero-newsletter-form {
    display: flex;
    flex-direction: column;
    gap: 30px;
    width: 100%;
  }
  
  .hero-before-form {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    text-align: center;
  }
  
  .hero-before-form-heading {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
  }
  
  .hero-before-form-sub-heading-t {
    color: var(--color-blue);
    font-family: var(--font-sofia-sans);
    font-size: 14px;
    font-style: normal;
    font-weight: 600;
    letter-spacing: 3.36px;
    line-height: normal;
    text-transform: uppercase;
  }
  
  .hero-before-form-main-heading {
    color: var(--color-white);
    font-family: var(--font-general-sans);
    font-size: 28px;
    font-style: normal;
    font-weight: 600;
    line-height: 36.4px; 
  }
  
  .hero-before-form-sub-heading-b {
    color: var(--color-white);
    font-family: var(--font-general-sans);
    font-size: 16px;
    font-style: normal;
    font-weight: 300;
    line-height: 24px; 
  }
  
  .a-dane-zaczn {
    font-weight: 500;
  }
  
  .hero-newsletter-button-section-response--ok{
    color: #ffffff;
    font-size: 150%;
  }

  .error-text{
    color:red;
    text-align: left;
    padding-top:10px;
    padding-left:10px;
  }
  .error-text {
    display: none; /* Domyślnie ukrywamy element błędu */
  }
  
  .error-text::before {
    content: "\f071"; /* Kod Unicode dla ikony "fa-exclamation-triangle" */
    font-family: "Font Awesome 5 Free";
    font-weight: 900; /* Solidna wersja ikony */
    margin-right: 8px; /* Odstęp między ikoną a tekstem */
    color: #e74c3c; /* Kolor ikony błędu */
    display: none; /* Domyślnie ukrywamy ikonę */
  }
  
  /* Gdy element .error-text zawiera tekst, pokazujemy go wraz z ikoną */
  .error-text:not(:empty) {
    display: block; /* Pokazujemy element błędu, gdy nie jest pusty */
  }
  
  .error-text:not(:empty)::before {
    display: inline-block; /* Wyświetlamy ikonę przed tekstem, gdy element nie jest pusty */
  }
  
  .footer__social {
    display: flex;
    gap: 20px; /* Odstęp między ikonami */
}

.footer__social-link img {
    width: 24px; /* Szerokość ikon */
    height: 24px; /* Wysokość ikon */
    transition: transform 0.3s ease;
}

.footer__social-link:hover img {
    transform: scale(1.1); /* Powiększenie ikony podczas najechania kursorem */
}


/* Animations Link */

  
  .newsletter-form-section {
    display: flex;
    flex-direction: column;
    width:100%;
    gap: 16px;
  }
  
  .input-group {
    display: flex;
    flex-direction: column;
    width:100%;
    max-height:60px;
  }
  
  .form__checkbox-input-group-top .newsletter-form,
  .input-group-bottom .newsletter-form1 {
    border-radius: 30px;
    border: none;
    padding: 12px 20px;
    font-family: var(--font-sofia-sans);
    font-size: 14px;
    font-weight: 600;
    line-height: 21px;
    letter-spacing: 2.8px;
  }
  
  .input-group-top .newsletter-form {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
  }
  
  .input-group-bottom .newsletter-form1 {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
  }
  
  .input-group input[type="checkbox"] {
    width: 16px;
    height: 16px;
    margin-right: 8px;
    cursor: pointer;
  }
  
  .input-group label {
    color: var(--color-white);
    font-family: var(--font-general-sans);
    font-size: 12px;
    font-style: normal;
    font-weight: 300;
    line-height: 15.6px; 
  }
  
  .external-link-regulations {
    color: var(--color-blue);
    text-decoration: underline;
  }
  
  .hero-newsletter-button-section {
    display: flex;
    justify-content: flex-start; 
  }
  
  .hero-newsletter-button {
    display: flex;
    padding: 10px 24px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: 30px;
    background: var(--color-white);
    border: none;
    cursor: pointer;
  }
  
  .zapisz-si-na {
    color: var(--color-dark);
    font-family: var(--font-sofia-sans);
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    letter-spacing: 3.2px;
    line-height: normal;
    text-align: center;
  }
  
  .hero-newsletter-button-right-a-icon {
    width: 18px;
    height: 18px;
  }
  
  .hero__content {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 36px;
    margin-bottom: 40px;
  }
  
  .hero__badge {
    background: linear-gradient(80deg, var(--color-blue) 0%, rgb(228, 238, 242) 100%);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    font-family: var(--font-sofia-sans);
    font-weight: 600;
    font-size: 16px;
    letter-spacing: 4.8px;
  }
  
  .hero__title {
    font-family: var(--font-general-sans);
    font-weight: 600;
    font-size: 32px;
    color: var(--color-white);
    line-height: 41.6px;
  }
  
  .hero__description {
    font-family: var(--font-general-sans);
    font-weight: 300;
    font-size: 18px;
    color: var(--color-white);
    line-height: 27px;
  }
  
  .hero__stats {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 16px;
  }
  
  .hero__stats-text {
    font-family: var(--font-general-sans);
    font-weight: 300;
    font-size: 16px;
    color: var(--color-white);
    line-height: 24px;
  }
  
  .hero__stats-image {
    width: 100%;
  }
  
  .hero__image {
    width: 100%;
    height: 100%;
    margin-bottom: -5px;
    margin-top:5%;
  }
  
  /* Errors Section */

  .error_wrapper{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap:32px;
  }

  .errors {
    background-color: var(--color-light-gray);
    padding: 40px 20px;
    text-align: center;
  }
  
  .errors__title {
    font-family: var(--font-general-sans);
    font-size: 32px;
    font-weight: 300;
    line-height: 41.6px;
    text-align: left;
    color: #222222;
    margin-bottom: 24px;
  }
  

  .errors__description {
    font-family: var(--font-general-sans);
    font-weight: 300;
    line-height: 27px;
    text-align: left;    
    margin-bottom: 60px;
  }
  
  .errors__list {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
    gap: 32px;
    list-style: none;
  }
  
  .errors__list-item {
    display: flex;
    align-items: left;
    gap: 12px;
    text-align: left;
    flex: 1 1 300px; 
  }
  
  .errors__list-icon {
    width: 28.67px;
    height: 28.67px;
  }
  
  .errors__list-text {
    font-family: var(--font-general-sans);
    font-size: 16px;
    font-weight: 300;
    line-height: 24px;
    text-align: left;
  }

  
  
  /* Improvements Section */
  .improvements {
    background-color: #121E2C;
    padding: 40px 20px;
  }
  
  .improvements__content {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 24px;
  }
  
  .improvements__text {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 32px;
    text-align: center;
  }
  
  .improvements__badge {
    background: linear-gradient(90deg, rgb(4, 97, 138) 0%, rgb(228, 238, 242) 100%);
    font-family: "Sofia Sans Condensed";
    -webkit-background-clip:text;
    background-clip:text;
    -webkit-text-fill-color:transparent;
    font-family:var(--font-sofia-sans);
    font-weight:600;
    font-size:24px;
    letter-spacing:4.8px;
    line-height:24px;
    letter-spacing:0.3em;
    text-align:left;

  }
  
.improvements__description-part{
    font-family: var(--font-general-sans);
    font-size: 18px;
    font-weight: 300;
    text-align: left;    
  }

.improvements__description-highlight{
    font-family: var(--font-general-sans);
    font-size: 24px;
    font-weight: 500;
    text-align: left;   
}

  .improvements__title {
    font-family: var(--font-general-sans);
    font-size: 32px;
    font-weight: 300;
    line-height: 43.2px;
    text-align: left;
    color: var(--color-white);
  }
  
  .improvements__description {
    font-family: var(--font-general-sans);
    font-weight: 300;
    font-size: 18px;
    color: var(--color-white);
  }
  
  .improvements__description-highlight {
    font-family: var(--font-general-sans);
    font-weight: 500;
    font-family: var(--font-general-sans);
    font-size: 18px;
    text-align: left;    
  }
  
  .improvements__image {
    min-width: 1500px;
    width: 1500px;
    max-width: 1500px;
  }
  
  /* Costs Section */
  .costs {
    padding: 40px 20px 60px;
  }
  
  .costs__content {
    flex-direction: column;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 36px;
  }
  
  .costs__text {
    display: flex;
    flex-direction: column;
    gap: 24px;
  }
  
  .costs__title {
    font-family: var(--font-general-sans);
    font-weight: 300;
    font-size: 32px;
    line-height: 150%;
    color: #222222;
  }
  .last-char{
    color: #04618A !important;
  }
  
  .costs__description {
    font-family: var(--font-general-sans);
    font-weight: 300;
    font-size: 18px;
    line-height: 27px;
  }
  
  .costs__highlight {
    font-family: var(--font-general-sans);
    font-weight: 300;
    font-size: 18px;
    line-height: 27px;
  }
  
  .costs__highlight-highlight {
    font-family: var(--font-general-sans);
    font-weight: 500;
  }
  
  .costs__table {
    width: unset;
    border-collapse: collapse;
  }
  
  .costs__table-header {
    display: flex;
    justify-content: space-between;
    background-color: #2222220d;
    padding: 16px 12px;
    font-family: var(--font-general-sans);
    font-weight: 300;
    font-size: 14px;
    line-height: 21px;
  }
  
  .costs__table-header-group {
    display: flex;
    gap: 15px;
  }
  
  .costs__table-row {
    display: flex;
    justify-content: space-between;
    border-top: 1px solid #2222220d;
    padding: 16px 12px;
    font-family: var(--font-general-sans);
    font-weight: 300;
    font-size: 15px;
    line-height: 22.5px;
    border-width: 0,1px, 0,1px, 0px, 0.1px;
    border-style: solid;
    border-color: #2222220D;
  }
  
  .costs__table-row-group {
    display: flex;
    align-content: center;
    align-items: center;
    gap: 10px;
  }
  
  .costs__table-cell {
    font-size: 15px;
    font-weight: 200;
    line-height: 150%;
  }
  
  .costs__table-cell--icon {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 90px;
    height: 36px;
  }
  
  .costs__table-cell--icon img {
    max-width: 100%;
    max-height: 100%;
  }
  
  /* Form Section */
  .form {
    background-color: var(--color-dark);
    padding: 40px 0;
    text-align: center;
  }
  
  .form__title {
    font-family: var(--font-general-sans);
    font-weight: 300;
    font-size: 32px;
    line-height: 41.6px;
    color: var(--color-white);
    margin-bottom: 30px;
  }
  
  .form__fields {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
    width: 100%;
    max-width: 100%;
  }
  
  .form__inputs {
    display: flex;
    flex-direction: column;
    gap: 15px;
    width: 100%;
  }
  
  .form__input,
  .form__textarea {
    width: 100%;
    padding: 10px 20px;
    border-radius: 30px;
    border: none;
    background-color: var(--color-white);
    font-family: var(--font-sofia-sans);
    font-size: 14px;
    line-height: 21px;
    color: #22222280;
    letter-spacing: 2.8px;
  }
  
  .form__textarea {
    height: 250px;
    resize: vertical;
  }
  
  .form__agreements {
    display: flex;
    flex-direction: column;
    gap: 15px;
    width: 100%;
    margin-top: 15px;
    margin-bottom: 30px;
    text-align: left;
  }
  
  .form__agreement {
    display: flex;
    align-items: flex-start;
    gap: 10px;
  }


  input[type='checkbox']:checked {
    background-color: #023047;
  }
  input[type='checkbox']:checked:after {
    content: '\2713';
    color:white;
  }
  input[type='checkbox']{
    text-align: center;

    width: 20px !important;
    height: 20px !important;
    appearance:none;
    border-radius:15%;
    border: 1px solid white;
    box-shadow: none;
  }
  
  .form__checkbox-input:checked {
    background-color: var(--color-white);
  }
  
  .form__checkbox-label {
    font-family: var(--font-general-sans);
    font-weight: 300;
    font-size: 12px;
    line-height: 15.6px;
    color: var(--color-white);
    cursor: pointer;
  }
  
  .form__checkbox-label a {
    color: white;
    text-decoration: underline;
  }
  
  /* Footer */
  .footer {
    background-color: var(--color-dark);
    padding: 30px 40px;
  }
  
  .footer__content {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 24px;
  }
  
  .footer__copyright {
    font-family: var(--font-general-sans);
    font-weight: 400;
    font-size: 12px;
    color: var(--color-white);
  }
  
  .footer__contact {
    display: flex;
    align-items: center;
    gap: 5px;
  }
  
  .footer__contact-label {
    font-family: var(--font-general-sans);
    font-weight: 400;
    font-size: 12px;
    color: var(--color-white);
  }
  
  .footer__contact-email {
    font-family: var(--font-general-sans);
    font-weight: 400;
    font-size: 12px;
    color: var(--color-white);
    text-decoration: none;
  }
  
  .footer__links {
    display: flex;
    flex-direction: column;
    gap: 24px;
    align-items: center;
  }
  
  .footer__link {
    font-family: var(--font-general-sans);
    font-weight: 400;
    font-size: 12px;
    color: var(--color-white);
    text-decoration: none;
  }
  
  .footer__social {
    height: auto; 
  }
  
  /* Media Queries */
  
  @media (min-width: 768px) {
    :root {
      --items-per-page: 4;
    }
    .carousel-item img {
      height: 60px;
    }
    .newsletter-form-section{
    display: flex;
    flex-direction: row;
    width: 100%;
    gap: 16px;
    }
    
    .form__checkbox-input {
      width: 15px;
      height: 15px;
      appearance: none;
      border: 1px solid var(--color-white);
      border-radius: 3px;
      cursor: pointer;
      margin-top: 0px;
  
    }
   

    .form__title {
      font-family: var(--font-general-sans);
      font-size: 64px;
      font-weight: 300;
      line-height: 130%;
      text-align: left;
    }

    .improvements__title {
        font-family: var(--font-general-sans);
        font-size: 64px;
        font-weight: 300;
        line-height: 41.6px;
        text-align: left;
    }
    .costs__content{
      flex-direction: column;
      display: flex;
      align-items: center;
      justify-content: space-between;
      gap: 36px;
  }
    
    .costs__title{
      font-family: var(--font-general-sans);
      font-size: 64px;
      font-weight: 300;
      line-height: 76px;
      text-align: left;
  
      }
  
      .costs__description{
      font-family: var(--font-general-sans);
      font-size: 24px;
      font-weight: 300;
      line-height: 36px;
      text-align: left;
  
      }
  
      .costs__highlight-highlight{
        font-family: var(--font-general-sans);
        font-size: 24px;
        font-weight: 500;
        line-height: 36px;
        text-align: left;
      }

    #header_button{
        display:flex;
    }

    .error_wrapper{
        display: flex;
        flex-direction: column;
      }
    .container {
      max-width: 100%;
      padding: 40px 40px; 
    }
  
    .header {
        gap: 50%;
        min-width: 100%;
        display: flex;
        padding: 10px;
        flex-direction: row;
        justify-content: center;
        align-items: flex-end;
    }
  
    .button {
      padding: 15px 20px 15px 30px;
    }
  
    .button__text {
      font-size: 20px;
      letter-spacing: 4px;
    }
  
    .hero {
      padding: 0px 90px;
    }
  
    .hero-section-content {
      flex-direction: column;
      align-items: center;
    }
  
    .hero-newsletter-form {
      width: 100%;
      max-width: 688px;
    }
  
    .hero-before-form-main-heading {
      font-size: 48px;
      line-height: 62.4px;
    }
  
    .hero-before-form-sub-heading-b {
      font-size: 18px;
      line-height: 27px;
    }
  
    .input-group-top .newsletter-form,
    .input-group-bottom .newsletter-form1 {
      font-size: 18px;
      line-height: 27px;
      letter-spacing: 3.6px;
    }
  
    .input-group label {
      font-size: 14px;
      line-height: 18.2px;
    }
  
    .zapisz-si-na {
      font-size: 18px;
      letter-spacing: 3.6px;
    }
  
    .hero-newsletter-button-right-a-icon {
      width: 22px;
      height: 22px;
    }
  
    .hero__content {
      gap: 60px;
    }
  
    .hero__badge {
      font-size: 20px;
      letter-spacing: 6px;
    }
  
    .hero__title {
      font-size: 52px;
      line-height: 52px;
    }
  
    .hero__description {
      font-size: 22px;
      line-height: 33px;
    }
  
    .hero__stats {
      align-items: center;
    }
  
    .hero__stats-text {
        font-family: var(--font-general-sans);
        font-size: 18px;
        font-weight: 300;
        line-height: 27px;
        text-align: center;
        
    }
  
    .hero__image {
      width: 100%;
      height: 100%;
      margin-bottom: -5px;
      margin-top:5%;
    }
  
    .errors {
      padding: 60px 40px 68px;
    }
  
    .errors__title {
      font-size: 46px;
      line-height: 59.8px;
    }
  
    .errors__description {
      font-size: 22px;
      line-height: 33px;
    }
  
    .errors__list {
      flex-direction: column;
      gap: 40px;
    }
  
    .errors__list-item {
      flex-direction: row; 
      align-items: flex-start;
    }
  
    .errors__list-text {
      font-size: 18px;
      line-height: 27px;
    }
  
    .improvements {
      padding: 60px 40px;
    }
  
    .improvements__content {
      gap: 90px;
    }
  
    .improvements__title {
      font-size: 46px;
    }
  
    .improvements__description {
      font-size: 22px;
    }
  
    .improvements__image {
      width: 100%;
    }
  
    .costs {
      padding: 60px 40px;
    }
  
    .costs__content {
      gap:40px;
    }
  
    .costs__title {
      font-size: 46px;
      line-height: 76px;
      text-align: center;
    }
  
    .costs__description {
      font-size: 22px;
      line-height: 33px;
      text-align: center;
    }
  
    .costs__highlight {
      font-size: 22px;
      line-height: 33px;
      text-align: center;
    }
  
    .costs__table {
      width: 100%;
    }
  
    .costs__table-header {
      padding: 16px 32px;
      font-size: 18px;
      line-height: 27px;
    }
  
    .costs__table-header-group {
      gap: 32px;
    }
  
    .costs__table-row {
      padding: 16px 32px;
      font-size: 18px;
      line-height: 27px;
    }
  
    .costs__table-row-group {
      gap: 32px;
    }
  
    .costs__table-cell--icon {
      width: 125px;
    }
  
    .form {
      padding: 60px 40px;
    }
  
    .form__title {
      font-family: var(--font-general-sans);
      font-weight: 300;
      font-size: 32px;
      line-height: 41.6px;
      color: var(--color-white);
      margin-bottom: 30px;
    }
  
    .form__fields {
      max-width: 668px;
    }
  
    .form__inputs {
      flex-direction: row;
      gap: 36px;
    }
  
    .form__input {
      flex: 1;
      font-size: 18px;
      line-height: 30px;
      letter-spacing: 0.2em;
      font-weight:400;
    }
  
    .form__textarea {
      height: 260px;
      font-size: 20px;
      line-height: 30px;
      letter-spacing: 0.2em;
    }
  
    .form__agreements {
      margin-top: 30px;
      font-size: 14px;
    }
  
    .form__checkbox-input {
      margin-top: 5px;
    }
  
    .footer {
      padding: 50px 40px;
    }
  
    .footer__content {
      flex-direction: row;
      align-items: center;
      justify-content: space-between;
    }
  
    .footer__links {
      flex-direction: row;
      gap: 75px;
    }
  }
  
  @media (min-width: 1100px) {
    :root {
      --items-per-page: 5;
    }
    .newsletter-form-section{
      display: flex;
      flex-direction: row;
      width: 100%;
      gap: 16px;
      }
    
    .form__title {
      font-family: var(--font-general-sans);
      font-size: 64px;
      font-weight: 300;
      line-height: 130%;
      text-align: left;
    }
    .improvements__title {
        font-family: var(--font-general-sans);
        font-size: 64px;
        font-weight: 300;
        line-height: 41.6px;
        text-align: left;
    }

    .costs__title{
      font-family: var(--font-general-sans);
      font-size: 64px;
      font-weight: 300;
      line-height: 76px;
      text-align: left;
  
      }
  
      .costs__description{
      font-family: var(--font-general-sans);
      font-size: 24px;
      font-weight: 300;
      line-height: 36px;
      text-align: left;
  
      }
  
      .costs__highlight-highlight{
        font-family: var(--font-general-sans);
        font-size: 24px;
        font-weight: 500;
        line-height: 36px;
        text-align: left;
      }

    .costs__content {
      flex-direction: row;
      display: flex;
      align-items: center;
      justify-content: space-between;
      gap: 36px; }
      

    .error_wrapper{
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
      }

    .container {
      max-width: 100%;
    }
  
    .header {
        gap: 50%;
        min-width: 100%;
        display: flex;
        padding: 10px;
        flex-direction: row;
        justify-content: center;
        align-items: flex-end;
    }
  
    .hero {
        padding: 120px 120px 0px 120px;
        text-align: center;
    }
  
    .hero-section-content {
      flex-direction: row;
      align-items: flex-start;
      justify-content: space-between;
      gap: 20px;
    }
  
    .hero-newsletter-form {
      max-width: 540px;
    }
  
    .hero-before-form-main-heading {
      font-size: 56px;
      line-height: 72.8px; 
    }
  
    .hero-before-form-sub-heading-b {
      font-size: 20px;
      line-height: 30px; 
      text-align: left;
    }
  
    .input-group-top .newsletter-form,
    .input-group-bottom .newsletter-form1 {
      font-size: 20px;
      line-height: 30px;
      letter-spacing: 4px; 
    }
  
    .input-group label {
      font-size: 12px;
      line-height: 15.6px; 
    }
  
    .zapisz-si-na {
      font-size: 20px;
      letter-spacing: 4px; 
    }
  
    .hero-newsletter-button {
      padding: 14px 32px;
    }
  
    .hero-newsletter-button-right-a-icon {
      width: 24px;
      height: 24px;
    }
  
    .hero__content {
      display: flex;
      align-items: center; 
      max-width: 100%; 
      gap:50px;
    }
  
    .hero__title {
        font-family: var(--font-general-sans);
        font-size: 76px;
        font-weight: 600;
        line-height: 76px;
        text-align: center;
        
    }
  
    .hero__description {
        font-family: var(--font-general-sans);
        font-size: 24px;
        line-height: 36px;
        text-align: center;        
    }
  
    .hero__stats {
      align-items: center; 
      max-width: 100%; 
    }
  
    .hero__stats-image {
      max-width: 50%;
    }
  
    .hero__image {
      width: 100%;
      height: 100%;
      margin-bottom: -5px;
      margin-top:5%;
    }
  
    .errors {
      padding: 100px 40px;
    }
    .improvements{
      padding: 100px 0px;
    }
    .costs{
      padding: 100px 0px;
    }
    .errors__title {
        display:flex;
        font-family: var(--font-general-sans);
        font-size: 64px;
        font-weight: 300;
        line-height: 83.2px;
        text-align: left;             
    }
  
    .errors__description {
        font-family: var(--font-general-sans);
        font-size: 24px;
        font-weight: 300;
        line-height: 36px;
        text-align: left;        
    }
  
    .errors__list {
        display: flex;
        gap: 32px;
        flex-wrap: wrap;
        align-content: flex-start;
        align-items: flex-start;
        flex-direction: column;
    }
    }
  
    .errors__list-item {
      flex: 1;
      gap: 15px;
      align-items: flex-start;
    }
  
    .errors__list-text {
      font-size: 18px;
      line-height: 30px;
    }
  
    .improvements {
      padding: 40px 20px;
    }
  
    .improvements__content {
      flex-direction: column;
      align-items: center; 
      justify-content: space-between;
      gap: 64px;
    }
  
    .improvements__text {
      text-align: left;
      align-items: flex-start;
      max-width: 100%; 
    }
  
    .improvements__title {
        font-family: var(--font-general-sans);
        font-size: 32px;
        font-weight: 300;
        line-height: 41.6px;
        text-align: left;
    }
  
    .improvements__description {
      font-size: 24px;
    }
  
    .improvements__image {
      min-width: 100%;
      width: 100%;
      max-width: 100%;
    }
  
    .costs {
      padding: 40px 20px;
    }
  
    .costs__text {
      text-align: left; 
      align-items: flex-start; 
    }
  
    .costs__title{
      font-family: var(--font-general-sans);
      font-size: 32px;
      font-weight: 300;
      line-height: 130%;
      text-align: left;
  
      }
  
      .costs__description{
      font-family: var(--font-general-sans);
      font-size: 18px;
      font-weight: 300;
      line-height: 150%;
      text-align: left;
  
      }
  
      .costs__highlight-highlight{
        font-family: var(--font-general-sans);
        font-size: 18px;
        font-weight: 500;
        line-height: 150%;
        text-align: left;
      }

    .costs__highlight {
      font-size: 24px;
      line-height: 36px;
      text-align: left; 
    }
  
    .costs__table {
      width: unset; 
    }
  
    .costs__table-header {
      font-size: 20px;
      line-height: 30px;
    }
  
    .costs__table-row {
      font-size: 20px;
      line-height: 30px;
    }
  
    .form {
      padding: 40px 20px;
    }
  
    .form__title {
      font-family: var(--font-general-sans);
      font-size: 32px;
      font-weight: 300;
      line-height: 59.8px;
      text-align: left;
    }
  
    .form__fields {
      max-width: max-content;
      flex-direction: column;
      align-items: flex-start;
      gap: 16px;
    }
  
    .form__inputs {
      width: 100%; 
    }
  
    .form__textarea {
      width: 45%; 
      height: 260px; 
    }
  
    .form__agreements {
      width: 100%; 
      margin-top: 36px; 
      font-size: 14px;
    }
  
    .footer {
      padding: 50px 0;
    }
  
    .footer__social {
      height: auto;
    }
  
  
  @media (min-width: 1301px) {
    .improvements{
      padding: 100px 40px;
    }
    .costs{
      padding: 100px 40px;
    }
    .form{
      padding: 100px 40px;
    }
    :root {
      --items-per-page: 4;
    }
    .newsletter-form-section{
      display: flex;
      flex-direction: row;
      width: 100%;
      gap: 16px;
      }
    
    .costs__title {
      font-size: 64px;
      line-height: 130%;
    }

    .costs__description {
      font-family: var(--font-general-sans);
      font-size: 24px;
      font-weight: 300;
      line-height: 150%;
      text-align: left;
  }

  .costs__highlight-highlight{
    font-family: var(--font-general-sans);
      font-size: 24px;
      font-weight: 500;
      line-height: 150%;
      text-align: left;
  }

  .costs__table-cell{
    font-family: var(--font-general-sans);
    font-size:20px;
    
  }

  .form__checkbox-input {
    width: 15px;
    height: 15px;
    appearance: none;
    border: 1px solid var(--color-white);
    border-radius: 3px;
    cursor: pointer;
    margin-top: 0px;
}

    .form__title {
      font-family: var(--font-general-sans);
      font-size: 64px;
      font-weight: 300;
      line-height: 130%;
      text-align: left;
      margin-bottom:50px;
    }

    .improvements__title {
      font-family: var(--font-general-sans);
      font-size: 64px;
      font-weight: 300;
      line-height: 41.6px;
      text-align: left;
  }

    .improvements__description-part{
      font-family: var(--font-general-sans);
      font-size: 24px;
      font-weight: 300;
      text-align: left;
    }

    .improvements__description-highlight{
      font-family: var(--font-general-sans);
      font-size: 24px;
      font-weight: 500;
      text-align: left;
    }

    .error_wrapper{
        display: flex;
        flex-direction: row;
        gap:10%;
      }

    .hero__image {
      width: 100%; 
    }
  
    .improvements__image {
      min-width: 1500px;
      width: 1500px;
      max-width: 1500px;
    }
  
    .costs__table {
      width: 100%; 
    }
  
    .form__fields {
      max-width: unset;
    }
  }
  
  @media (min-width: 1920px) {
    :root {
      --items-per-page: 5;
    }
    .newsletter-form-section{
      display: flex;
      flex-direction: row;
      width: 100%;
      gap: 16px;
      }
    
    .form__title {
      font-family: var(--font-general-sans);
      font-size: 64px;
      font-weight: 300;
      line-height: 130%;
      text-align: left;
    }

    .improvements__title {
      font-family: var(--font-general-sans);
      font-size: 64px;
      font-weight: 300;
      line-height: 41.6px;
      text-align: left;
  }
    .costs__title{
    font-family: var(--font-general-sans);
    font-size: 64px;
    font-weight: 600;
    line-height: 76px;
    text-align: left;

    }

    .costs__description{
    font-family: var(--font-general-sans);
    font-size: 24px;
    font-weight: 300;
    line-height: 36px;
    text-align: left;

    }

    .costs__highlight-highlight{
      font-family: var(--font-general-sans);
      font-size: 24px;
      font-weight: 500;
      line-height: 36px;
      text-align: left;
    }

    .improvements__description-part{
      font-family: var(--font-general-sans);
      font-size: 24px;
      font-weight: 300;
      text-align: left;
    }

    .improvements__description-highlight{
      font-family: var(--font-general-sans);
      font-size: 24px;
      font-weight: 500;
      text-align: left;
    }  
    .container {
      max-width: 1500px; 
    }
  
    .hero-newsletter-form {
      max-width: 680px;
    }
  
    .hero-before-form-main-heading {
      font-size: 64px;
      line-height: 83.2px;
    }
  
    .hero-before-form-sub-heading-b {
      font-size: 24px;
      line-height: 36px;
    }
  
    .hero__description {
      max-width: unset;
    }
  
    .hero__image {
      width: 100%; 
    }
  
    .errors__list-item {
      max-width: max-content;
  
    .improvements__content {
      gap: 150px; 
    }
  
    .improvements__text {
      max-width: 45%; 
    }
  
    .improvements__image {
      min-width: 1500px;
      width: 1500px;
      max-width: 1500px;
    }
  
    .costs {
      gap: 100px; 
    }
  
    .costs__text {
      max-width: 40%; 
    }
  
    .costs__table {
      width: 50%; 
    }
  
    .form__fields {
      max-width: 1260px; 
    }
  
    .form__inputs {
      width: 35%; 
    }
  
    .form__textarea {
      width: 35%; 
    }
  
    .form__agreements {
      width: 35%; 
    }
  }
  
  @media (min-width: 2400px) {
    :root {
      --items-per-page: 5;
    }
    .newsletter-form-section{
      display: flex;
      flex-direction: row;
      width: 100%;
      gap: 16px;
      }

    .form__title {
      font-family: var(--font-general-sans);
      font-size: 64px;
      font-weight: 300;
      line-height: 59.8px;
      text-align: left;
    }

    .improvements__title {
      font-family: var(--font-general-sans);
      font-size: 64px;
      font-weight: 300;
      line-height: 41.6px;
      text-align: left;
  }
    .container {
      max-width: 1920px; 
    }
  
    .hero-newsletter-form {
      max-width: 800px;
    }
  
    .hero__content {
      gap: 50px;
    }
  
    .hero__image {
      width: 100%; 
    }
  
    .improvements__content {
      gap: 200px; 
    }
  
    .costs__content {
      gap: 150px; 
    }
  
    .form__fields {
      max-width: 1500px; 
    }
  }
}

